Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1992594 - Review Request: rust-aws-nitro-enclaves-cose - A safe Rust implementation of COSE, with COSE Sign1 currently implemented
Summary: Review Request: rust-aws-nitro-enclaves-cose - A safe Rust implementation of ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1992532
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2021-08-11 11:42 UTC by Peter Robinson
Modified: 2021-10-30 11:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-30 11:33:46 UTC
Type: Bug
Embargoed:
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2021-08-11 11:42:35 UTC
SPEC: https://pbrobinson.fedorapeople.org/rust-aws-nitro-enclaves-cose.spec
SRPM: https://pbrobinson.fedorapeople.org/rust-aws-nitro-enclaves-cose-0.3.0-1.fc34.src.rpm

Description:
A safe Rust implementation of COSE, with COSE Sign1 currently implemented

FAS: pbrobinson

Comment 2 Jared Smith 2021-10-29 14:09:08 UTC
Package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0". 16
     files have unknown license. Detailed output of licensecheck in
     /tmp/1992594-rust-aws-nitro-enclaves-cose/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rust-
     aws-nitro-enclaves-cose-devel , rust-aws-nitro-enclaves-cose+default-
     devel , rust-aws-nitro-enclaves-cose+key_openssl_pkey-devel , rust-
     aws-nitro-enclaves-cose+key_tpm-devel , rust-aws-nitro-enclaves-
     cose+tss-esapi-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://crates.io/api/v1/crates/aws-nitro-enclaves-cose/0.4.0/download#/aws-nitro-enclaves-cose-0.4.0.crate :
  CHECKSUM(SHA256) this package     : 4e2fe3e862758ef5bb5d89868141ab28781d96347522b60eb6abeaf7f9acd4bc
  CHECKSUM(SHA256) upstream package : 4e2fe3e862758ef5bb5d89868141ab28781d96347522b60eb6abeaf7f9acd4bc


Requires
--------
rust-aws-nitro-enclaves-cose-devel (rpmlib, GLIBC filtered):
    (crate(openssl/default) >= 0.10.0 with crate(openssl/default) < 0.11.0~)
    (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0~)
    (crate(serde/derive) >= 1.0.0 with crate(serde/derive) < 2.0.0~)
    (crate(serde_bytes/default) >= 0.11.0 with crate(serde_bytes/default) < 0.12.0~)
    (crate(serde_cbor/default) >= 0.11.0 with crate(serde_cbor/default) < 0.12.0~)
    (crate(serde_cbor/tags) >= 0.11.0 with crate(serde_cbor/tags) < 0.12.0~)
    (crate(serde_repr/default) >= 0.1.0 with crate(serde_repr/default) < 0.2.0~)
    (crate(serde_with) >= 1.5.0 with crate(serde_with) < 2.0.0~)
    cargo

rust-aws-nitro-enclaves-cose+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(aws-nitro-enclaves-cose)
    crate(aws-nitro-enclaves-cose/key_openssl_pkey)

rust-aws-nitro-enclaves-cose+key_openssl_pkey-devel (rpmlib, GLIBC filtered):
    cargo
    crate(aws-nitro-enclaves-cose)

rust-aws-nitro-enclaves-cose+key_tpm-devel (rpmlib, GLIBC filtered):
    (crate(tss-esapi/default) >= 6.1.0 with crate(tss-esapi/default) < 7.0.0~)
    cargo
    crate(aws-nitro-enclaves-cose)

rust-aws-nitro-enclaves-cose+tss-esapi-devel (rpmlib, GLIBC filtered):
    (crate(tss-esapi/default) >= 6.1.0 with crate(tss-esapi/default) < 7.0.0~)
    cargo
    crate(aws-nitro-enclaves-cose)



Provides
--------
rust-aws-nitro-enclaves-cose-devel:
    crate(aws-nitro-enclaves-cose)
    rust-aws-nitro-enclaves-cose-devel

rust-aws-nitro-enclaves-cose+default-devel:
    crate(aws-nitro-enclaves-cose/default)
    rust-aws-nitro-enclaves-cose+default-devel

rust-aws-nitro-enclaves-cose+key_openssl_pkey-devel:
    crate(aws-nitro-enclaves-cose/key_openssl_pkey)
    rust-aws-nitro-enclaves-cose+key_openssl_pkey-devel

rust-aws-nitro-enclaves-cose+key_tpm-devel:
    crate(aws-nitro-enclaves-cose/key_tpm)
    rust-aws-nitro-enclaves-cose+key_tpm-devel

rust-aws-nitro-enclaves-cose+tss-esapi-devel:
    crate(aws-nitro-enclaves-cose/tss-esapi)
    rust-aws-nitro-enclaves-cose+tss-esapi-devel



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1992594
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Ruby, Java, R, Python, Perl, Haskell, C/C++, Ocaml, fonts, SugarActivity, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Gwyn Ciesla 2021-10-29 17:57:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-aws-nitro-enclaves-cose


Note You need to log in before you can comment on or make changes to this bug.